# Data export overview

Export Types

| Type   | Frequency          | Format      | Path Pattern                               |
| ------ | ------------------ | ----------- | ------------------------------------------ |
| Hourly | Every hour         | Parquet     | `{export}/date={YYYY-MM-DD}/hour={HH:mm}/` |
| Daily  | Daily at 00:00 UTC | CSV/Parquet | `{export}/date={YYYY-MM-DD}/`              |

***

### S3 Structure

```
s3://hyena-hip3/
├── hourly/
│   ├── summary/
│   │   ├── funding/
│   │   └── liquidations/
│   └── raw/
│       ├── orders/
│       │   ├── all/
│       │   └── builder/
│       ├── fills/
│       │   ├── perp/
│       │   ├── spot/
│       │   ├── builder/
│       │   ├── liquidation/
│       │   ├── twap/
│       │   └── hlpe_counterparty_taker/*
│       ├── oracle/
│       ├── ledger/
│       ├── twap_statuses/
│       ├── funding/
│       └── book_diffs/
│       └── foundational/
│           ├── per_contract/
│           └── per_address/
│
└── daily/
    ├── hlpe_fee_summary/
    ├── fills_summary_per_user/
    └── snapshots/
        ├── positions/
        ├── accounts/
        ├── orderbooks/
        └── spot_holders/
```

***

### How It Works

1. **Hourly exports** run \~1 minute past the hour:
   * **Raw data**: All HyENA dex events — fills, orders, oracle prices, USDE spot trades, ledger transfers, TWAP statuses, book diffs
   * **Foundational**: Per-second market snapshots (per contract and per address)
   * **Aggregations**: Funding payments and liquidations per user
2. **Daily exports** run at 00:10 UTC:
   * Aggregations for slack report maker/taker volume summaries per user and hlpe take summary
   * Snapshots capture the current state of HyENA dex and allow for a general overview and together with the raw hourly exports they allow for reconstructing the HyENA dex state to any point in time.

***

### Data Availability

**From HyENA launch:**

* Fills (all types), ledger events, funding, liquidations, TWAP statuses

**Available from december 22. Can be backfilled later if necessary:**

* Orders, book diffs, oracle prices

***

### File Naming

#### Hourly

* Format: Parquet
* Path: `{s3_path}/date={YYYY-MM-DD}/hour={HH}/{HH}_{name}.parquet`
* Example: `hourly/raw/fills/perp/date=2025-12-15/hour=09/09_fills.parquet`

See [Hourly Exports](/readme/hyena/data-export-overview/hourly-exports.md) for specifics.

#### Daily

* **Aggregations**: CSV, single file overwritten daily
* **Snapshots**: Parquet, timestamped `{ts}_{name}.parquet`
* Path: `daily/{type}/...` or `daily/snapshots/{type}/date={YYYY-MM-DD}/...`

See [Daily exports](/readme/hyena/data-export-overview/daily-exports.md) for specifics.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hydromancer.xyz/readme/hyena/data-export-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
